Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetChatInviteLink

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.ChatInviteLink>
it.tdlight.jni.TdApi.GetChatInviteLink

Enclosing class:
  TdApi

public static final class TdApi.GetChatInviteLink extends TdApi.Function<TdApi.ChatInviteLink>
Returns information about an invite link. Requires administrator privileges and canInviteUsers right in the chat to get own links and owner privileges to get other links.

Returns `ChatInviteLink`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`String`
`inviteLink`
Invite link to get.

## Constructor Summary

Constructors
Constructor
Description
`GetChatInviteLink()`
Returns information about an invite link.
`GetChatInviteLink(long chatId, String inviteLink)`
Returns information about an invite link.
`GetChatInviteLink(DataInput input)`
Returns information about an invite link.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### inviteLink

public String inviteLink
Invite link to get.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetChatInviteLink

public GetChatInviteLink()
Returns information about an invite link. Requires administrator privileges and canInviteUsers right in the chat to get own links and owner privileges to get other links.

Returns `ChatInviteLink`

### GetChatInviteLink

public GetChatInviteLink(long chatId, String inviteLink)
Returns information about an invite link. Requires administrator privileges and canInviteUsers right in the chat to get own links and owner privileges to get other links.

Returns `ChatInviteLink`

Parameters:
  `chatId` - long Chat identifier.
  `inviteLink` - String Invite link to get.

### GetChatInviteLink

public GetChatInviteLink(DataInput input) throws IOException
Returns information about an invite link. Requires administrator privileges and canInviteUsers right in the chat to get own links and owner privileges to get other links.

Returns `ChatInviteLink`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`